package com.huimv.apiservice.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.apiservice.entity.OutdoorEnvironmentEntity;
import com.huimv.apiservice.entity.vo.OutdoorEnvVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 室外环境信息表
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Mapper
@Repository
public interface OutdoorEnvironmentDao extends BaseMapper<OutdoorEnvironmentEntity> {

    void batchInsertData(List<OutdoorEnvironmentEntity> list);

    List<OutdoorEnvVo> select(@Param("ew") LambdaQueryWrapper outdoorEnvLambdaQuery);
}
