package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.management.entity.FarmEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 牧场表
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Mapper
@Repository
public interface FarmDao extends BaseMapper<FarmEntity> {

    @Select("SELECT id FROM mgt_farm ${ew.customSqlSegment} AND deleted = 0")
    List<Integer> selectIdList(@Param(Constants.WRAPPER) LambdaQueryWrapper wrapper);
}
